//
//  ParentViewController.m
//  AutoLayoutHELL
//
//  Created by Daniel Martyn on 2012-12-07.
//  Copyright (c) 2012 Daniel Martyn. All rights reserved.
//

#import "ParentViewController.h"

@interface ParentViewController ()
@property (nonatomic) BOOL isHidden;
@end

@implementation ParentViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)test:(id)sender
{
    if (self.isHidden) {
        // show the top view
        [UIView animateWithDuration:0.25 animations:^() {
            self.topView.frame = CGRectMake(0, 0, self.topView.frame.size.width, self.topView.frame.size.height);
            self.bottomView.frame = CGRectMake(0, self.topView.frame.size.height, self.bottomView.frame.size.width, self.bottomView.frame.size.height);
        }];
    } else {
        // hide the top view
        [UIView animateWithDuration:0.25 animations:^() {
            self.topView.frame = CGRectMake(0, -self.topView.frame.size.height, self.topView.frame.size.width, self.topView.frame.size.height);
            self.bottomView.frame = CGRectMake(0, 0, self.bottomView.frame.size.width, self.bottomView.frame.size.height + self.topView.frame.size.height);
        }];
        
    }
    self.isHidden = !self.isHidden;
}

@end
